use std::time::SystemTime;

pub struct TextTemplateResult {
    pub mime: Option<String>,
    pub text: String,
    pub time: Option<SystemTime>,
}

impl TextTemplateResult {
    pub fn new(mime: Option<String>, text: String, time: Option<SystemTime>) -> Self {
        TextTemplateResult { mime, text, time }
    }

    pub fn with_time(&self, time: Option<SystemTime>) -> Self {
        TextTemplateResult::new(self.mime.clone(), self.text.clone(), time)
    }
}
